InstallGlobalFunction(FirstStep,function(M)
  local I,L,RC;
  I:=IdentityMat(MTX.Dimension(M),MTX.Field(M));
  L:=List(MTX.Generators(M),x->x-I); 
  if Size(MTX.BasisRadical(M))>1 then
    RC:=BaseOrthogonalSpaceMat(MTX.BasisRadical(M));
  else 
    RC:=I;
  fi;
  return LiftHom(L,RC);
  end
);

# Returns the first step of the projective resolution of M.
# Not throughly tested in the case that M is not
# the trivial G-module.
