DeclareCategory("IsCObject",IsObject);

DeclareOperation("CohomologyGenerators", 
  [IsCObject,IsPosInt]);
DeclareOperation("CohomologyObject",
  [IsGroup,IsRing,IsObject]);
DeclareOperation("CohomologyRelators", 
  [IsCObject,IsPosInt]);
DeclareOperation("CohomologyRing", 
  [IsCObject,IsPosInt]);
DeclareOperation("IsHomogeneous",[IsSCAlgebraObj]);
DeclareOperation("ProjectiveResolution", 
  [IsCObject,IsPosInt]);

DeclareGlobalFunction("AugmentSCTable");
DeclareGlobalFunction("ChangeOfBasisMatrix");
DeclareGlobalFunction("ExtendToBasis",[IsVectorSpace,IsList]);
DeclareGlobalFunction("ExtractColumn");
DeclareGlobalFunction("FirstLift");
DeclareGlobalFunction("FirstStep");
DeclareGlobalFunction("GeneratorsOfRadical");
DeclareGlobalFunction("GxGxG");
DeclareGlobalFunction("InducedHomomorphismOnCohomology");
DeclareGlobalFunction("Kronecker");
DeclareGlobalFunction("MakeMultiplicationTable");
DeclareGlobalFunction("_MasseyProduct");
DeclareGlobalFunction("MasseyProduct");
DeclareGlobalFunction("LiftChainMap");
DeclareGlobalFunction("LiftHom");
DeclareGlobalFunction("NiceIndeterminate");
DeclareGlobalFunction("PCGens");
DeclareGlobalFunction("ProductOfChainMaps");
DeclareGlobalFunction("ReverseLex");
DeclareGlobalFunction("_RegularModule");
