InstallGlobalFunction(LiftHom,function(L,R)
  # L is a list of the actions of the g-1's 
  # on the target for all g in Pcgs(G).
  # R is the list of images of the map constructed. 
  
  local p,b,n,l,m,t,j,k,first,last;
  p:=PrimePowersInt(Size(DefaultFieldOfMatrix(L[1])))[1];
  b:=Size(L[1]);   # Size of the blocks; ie, |G|=b
  n:=Size(R[1])/b; # Number q of block columns; ie, range=kG^q
  l:=Size(L);      # Size of Pcgs(G); ie, |G|=p^l
  m:=[];
  for t in [1..Size(R)] do
    Append(m,[R[t]]);
    for j in [1..l] do
      for k in [1..p-1] do
        first:=(t-1)*b+(k-1)*p^(j-1)+1;
        last:= (t-1)*b+ k   *p^(j-1)  ;
        Append(m,m{[first..last]}*GxGxG(L[j],n));
      od;
    od;
  od;
  return m;
  end
);
